%global __strip %{_mingw32_strip}
%global __objdump %{_mingw32_objdump}
%global _use_internal_dependency_generator 0
%global __find_requires %{_mingw32_findrequires}
%global __find_provides %{_mingw32_findprovides}
%define __debug_install_post %{_mingw32_debug_install_post}


Name:           mingw32-SDL_image
Version:        1.2.10
Release:        4%{?dist}
Summary:        MinGW Windows port of the Image loading library for SDL

License:        LGPLv2+
Group:          Development/Libraries
URL:            http://www.libsdl.org/projects/SDL_image/
Source0:        http://www.libsdl.org/projects/SDL_image/release/SDL_image-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 49
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-dlfcn
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-SDL
BuildRequires:  mingw32-libpng
BuildRequires:  mingw32-libjpeg
BuildRequires:  mingw32-libtiff

Requires:       pkgconfig

%description
Simple DirectMedia Layer (SDL) is a cross-platform multimedia library
designed to provide fast access to the graphics frame buffer and audio
device.  This package contains a simple library for loading images of
various formats (BMP, TIF, JPEG, PNG) as SDL surfaces.

%{_mingw32_description}

%{?_mingw32_debug_package}

%prep
%setup -q -n SDL_image-%{version}

%build
# the --disabled-*-shared lines below stops SDL_image from loading those
# libraries at link time. Instead they are loaded when needed.
%{_mingw32_configure} \
    --disable-jpg-shared \
    --disable-png-shared \
    --disable-tif-shared \
    --disable-static
#    --disable-dependency-tracking \

make %{?smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# silence rpmlint:
iconv --from=ISO-8859-1 --to=UTF-8 CHANGES > CHANGES.new && \
touch -r CHANGES CHANGES.new && \
mv CHANGES.new CHANGES

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README CHANGES COPYING
%{_mingw32_bindir}/SDL_image.dll
%{_mingw32_libdir}/libSDL_image.dll.a
%{_mingw32_libdir}/pkgconfig/SDL_image.pc
%{_mingw32_libdir}/libSDL_image.la
%{_mingw32_includedir}/SDL

%changelog
* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 1.2.10-4
- Rebuilt against win-iconv

* Fri Jun 03 2011 Kalev Lember <kalev@smartlink.ee> - 1.2.10-3
- Rebuilt with mingw32-libjpeg-turbo, dropped jpeg_boolean patch (#604702)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Sep 27 2010 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.10-1
- Include la files
- Fix debuginfo package generation

* Sat Sep 25 2010 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.10-0
- Update to new upstream release

* Wed Nov 25 2009 Stefan Riemens <fgfs.stefan@gmail.com> - 1.2.7-1
- Remove explicit Requires:
- Add patch for the mingw32-jpeg boolean issue
- Update to 1.2.7 to stay in sync with the native package
- Enable parallel make
- Autogenerate debuginfo subpackage
- Fix non-utf-8 file

* Thu Nov 11 2009 Jason Woofenden <jason@jasonwoof.com> - 1.2.6-2
- use macro global instead of define in this spec file
- added libtiff support
- updated description so it lists the correct supported image formats

* Thu Jun 18 2009 Jason Woofenden <jason@jasonwoof.com> - 1.2.6-1
- Initial RPM release.
